Pós instalação do openSUSE


Aproveitando a publicação do amigo Edinaldo sobre a instalação do openSUSE usando o LiveCD KDE deixo aqui alguns passos a serem realizados para uma primeira configuração e uso do sistema.

Autor: Fábio Farias

Repositórios

Abaixo segue uma lista de repositórios para o openSUSE. As observações estão abaixo de cada link:

Repositórios Oficiais

http://download.opensuse.org/distribution/12.3/repo/oss
http://download.opensuse.org/distribution/12.3/repo/non-oss
http://download.opensuse.org/update/12.3
http://download.opensuse.org/update/12.3-non-oss

Packman.

Mais importante pois contém a maioria dos pacotes para o openSUSE, incluindo os pacotes de multimídia.

http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_12.3

Libdvdcss.

http://opensuse-guide.org/repo/12.3

Education.

http://download.opensuse.org/repositories/Education/openSUSE_12.3

KDE Extra

somente se usar essa interface

http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_12.3

KDE Updates

somente se usar essa interface

http://download.opensuse.org/repositories/KDE:/UpdatedApps/openSUSE_12.3

Kernel.

Use-o somente se quiser o Kernel mais atual assim que for lançado. O Kernel estável também está nos repositórios oficiais. A diferença é que ele aparece aqui primeiro.

http://download.opensuse.org/repositories/Kernel:/openSUSE-12.3/standard

LibreOffice

mais recente – série 4.X

http://download.opensuse.org/repositories/LibreOffice:/Unstable/openSUSE_12.3

LibreOffice

mais antigo – série 3.X

http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_12.3

Virtualização.

http://download.opensuse.org/repositories/Virtualization:/openSUSE12.3/openSUSE_12.3

Para outras interfaces gráficas, acesse o link abaixo:

http://download.opensuse.org/repositories/X11:/

Nele você escolhe os repos que deseja para variadas interfaces gráficas.

Para versões mais recentes de sistemas de arquivos.

http://download.opensuse.org/repositories/filesystems/openSUSE_12.3

Mozilla.

 O Firefox também está nos oficiais mas as atualizações por este repositório são mais rápidas.

http://download.opensuse.org/repositories/mozilla/openSUSE_12.3

Network.

http://download.opensuse.org/repositories/network/openSUSE_12.3

VLC.

Se gosta do VLC use esse repositório mas desabilite o repositório específico do libdvdcss descrito acima pois vão conflitar. o repositório VLC contém o pacote libdvdcss.

http://download.videolan.org/pub/videolan/vlc/SuSE/12.3

ATI

depende da placa gráfica do computador

ftp://download.nvidia.com/opensuse/12.3

NVIDIA

depende da placa gráfica do computador

ftp://download.nvidia.com/opensuse/12.3

Adicionando os Repositórios

Adicione um repositório seguindo o modelo abaixo:

# zypper ar --refresh URL apelido.

Note que há um espaço enter a URL e o apelido.

(ex.: # zypper ar – -refresh  ftp://download.nvidia.com/opensuse/12.3 NVIDIA)

Após adicionar um novo repositório execute o seguinte comando:

# zypper refresh

Para atualizá-los novamente antes de procurar/instalar um pacote.

Se quiser optar pelo YaST, o caminho é:  YaST > Repositórios de Software > Adicionar > Repositórios da Comunidade. Lá se encontram também outras opções para adicionar novos repositórios no openSUSE. É só explorar.

Mais sobre o zypper: http://pt.opensuse.org/Zypper/Uso

Codecs

Para instalar os codecs no KDE, adicione os repositórios Packman e Libdvdcss e execute o seguinte comando:

# zypper install libdvdcss2 libxine1-codecs ffmpeg lame gstreamer-0_10-ffmpeg gstreamer-0_10-plugins-bad gstreamer-0_10 plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon w32codes-all mplayer gmplayer gstreamer-0_10-plugins-good libxine1 libdvdplay0 libdvdread4 libdvdnav4 libmad0 sox libxvidcore4 xvidcore libavcodec52 libavdevice52 libvlccore4 libvlc5 pullin-flash-player flash-player gstreamer-0_10-fluendo-mp3 gstreamer-0_10-fluendo-mpegdemux gstreamer-0_10 fluendo-mpegmux gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good-extra libquicktime0 vlc

Pode instalar esses pacotes também pelo YaST ou usando o 1-click install aqui:  codecs-kde.ymp

Para o Gnome use esse link:  codecs-gnome.ymp

Tradução da interface

A instalação pelo LiveCD não traduz o sistema para nosso idioma. Mas se você selecionou o idioma português brasileiro na instalação, na primeira atualização ele instalará os pacotes necessários para isso além de instalar o flash player e alguns pacotes gstreamer, pacotes restritos que não podem estar na mídia de instalação. Para essa primeira atualização recomendo o YaST. Acess o caminho: YaST > Gerenciamento de Software. Passe à aba ‘Resumo da Instalação” e confira os pacotes pré-selecionados para a instalação. Basta aceitar para efetuar o download e a instalação. Se você instalou pelo DVD esse passo é desnecessário pois você já terá o sistema no idioma PT_BR.

Java e openJDK

O openSUSE vem com o openJDK (icedtea) e comigo vem funcionando normalmente para aplicações que precisam de java como o Banco do Brasil e o LibreOffice. Sendo assim, em uma situação normal, não necessita alterar isso. Se você ainda assim quer o Java da Oracle consulte essa dica.O autor inclusive alerta para não usar o pacote rpm (que ele afirma ser uma furada). Não testei esse método pois como disse no meu caso nãos e faz necessário.

Esse é o básico para o uso do openSUSE após a sua instalação. O openSUSE é muito versátil e um novo usuário que quer utilizá-lo não pode deixar de explorá-lo ao máximo. Eu gosto do KDE mas o Gnome e as demais interfaces são tratadas igualmente pelos desenvolvedores não havendo preferência por nenhuma. Para quem tem boa velocidade de internet eu recomendo uma instalação pelo DVD que te oferece mais algumas possiblidades já na instalação ou uma instalação pela rede onde o usuário pode selecionar a dedo o que deseja.

Abraços!

Anúncios
Pós instalação do openSUSE

17 comentários sobre “Pós instalação do openSUSE

  1. edps disse:

    Grande trabalho… perfeito!

    Deverias publicar no VOL também em face a maior divulgação de seu trabalho e de sua distro preferida.

    Aquela frase que citei lá no VOL “distro mais na dela” é que não estamos acostumados a ver tanta informação sobre o openSUSE, pois parece que a preocupação da distro é apenas oferecer o melhor ambiente com KDE (Gnome não testei nem quero! rs), outra coisa são seus novos lançamentos que diferem em tempo em relação às distros da moda: Mint, Ubuntu e Fedora.

    Um abraço.

    Curtir

    1. Obrigado Edinaldo!

      Obrigado também pela sugestão quanto ao VOL. Vou ver se consigo encaminhá-la para lá.

      Quanto a “distro mais na dela” eu compreendi. Imaginei mesmo que você quis dizer que ela não se importa muito com rankings ou preferências de usuário. A mudança no ciclo foi algo que gostei muito pois 6 meses é de fato pouco tempo. Atualmente é 8 meses mas é flexível. Recentemente, por exemplo, o intervalo foi de 10 meses por acharem que a distro não estava pronta para lançamento. Isso eu achei bom. Esperar uma estabilidade maior em benefício do usuário!

      Abraços!

      Curtir

  2. edps disse:

    Uma pergunta:

    Numa antiga dica sua importada do outro blog:

    http://gnutwoall.wordpress.com/2012/08/03/codecs-no-opensuse/#more-12797

    A lista de codecs era maior:

    # zypper install libdvdcss2 libxine1-codecs ffmpeg lame gstreamer-0_10-ffmpeg gstreamer-0_10-plugins-bad gstreamer-0_10 plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon w32codes-all mplayer gmplayer gstreamer-0_10-plugins-good libxine1 libdvdplay0 libdvdread4 libdvdnav4 libmad0 sox libxvidcore4 xvidcore libavcodec52 libavdevice52 libvlccore4 libvlc5 pullin-flash-player flash-player gstreamer-0_10-fluendo-mp3 gstreamer-0_10-fluendo-mpegdemux gstreamer-0_10 fluendo-mpegmux gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good-extra libquicktime0 vlc

    Enquanto agora ficou menor:

    # zypper install libxine2-codecs k3b-codecs ffmpeg lame gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon gstreamer-0_10-plugins-ffmpeg libdvdcss2

    Mudou alguma coisa?

    Falando nessa sua dica antiga (e nas outras) se quiser lhe envio os códigos já atualizados, excluo as postagens e você republica com a data da época.

    Curtir

  3. Não, não mudou. Eu é que fui exagerado.
    Na antiga dica eu incluí uns pacotes a mais que eu costumo instalar por receio de aparecer algum formato exótico que não seja possível de executar. Mas a lista apresentada nessa dica é mais que suficiente como pode ser confirmado aqui:

    http://www.opensuse-community.org/Restricted_formats/12.3

    Quanto as dicas antigas, acho que pode remover essa antiga sobre codecs. Quanto as outras referem-se a versões de testes e de lançamento da versão 12.2. Sendo assim, essas pode deixar do jeito que está uma vez que é um lançamento antigo.

    Curtir

  4. Henrique disse:

    Oi, eu estou usando o OpenSuse 12.3 com gnome, e quando tentei acessar um vídeo AVI pediu alguns plugins: MPEG-1 Layer 3 (Mp3) e MPEG-4 Video. Quando clico e Pesquisar, começa a instalar mas aí da um erro:

    cannot install both gstreamer-plugins-bad-1.0.5-2.1.1.i586 and gstreamer-plugins-bad-1.0.10-2.4.i586

    Tentei instalar o arquivo do link codecs-gnome.ymp
    mas aí retorna:

    Arquivo ‘./Essentials/i586/gstreamer-0_10-plugins-ugly-0.10.19-10.45.i586.rpm’ não encontrado na mídia ‘http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_12.3/’

    o que faço?
    Valeu

    Curtir

      1. Henrique disse:

        Obrigado por tentar me ajudar, e desculpa a demora para responder.

        Retorna isso daqui:

        # | Apelido | Nome | Habilitado | Atualizar
        —+—————————+————————————+————+———-
        1 | Educação | Educação | Sim | Não
        2 | Java | Java | Sim | Não
        3 | Jogos | Jogos | Sim | Não
        4 | LibreOffice | LibreOffice | Sim | Não
        5 | Packman Repository | Packman Repository | Sim | Não
        6 | dvd | dvd | Sim | Sim
        7 | libdvdcss repository | libdvdcss repository | Sim | Sim
        8 | openSUSE-12.3-1.7 | openSUSE-12.3-1.7 | Não | Não
        9 | packman | packman | Sim | Sim
        10 | packman-i586 | packman-i586 | Sim | Não
        11 | repo-debug | openSUSE-12.3-Debug | Não | Sim
        12 | repo-debug-update | openSUSE-12.3-Update-Debug | Não | Sim
        13 | repo-debug-update-non-oss | openSUSE-12.3-Update-Debug-Non-Oss | Não | Sim
        14 | repo-non-oss | openSUSE-12.3-Non-Oss | Sim | Sim
        15 | repo-oss | openSUSE-12.3-Oss | Sim | Sim
        16 | repo-source | openSUSE-12.3-Source | Não | Sim
        17 | repo-update | openSUSE-12.3-Update | Sim | Sim
        18 | repo-update-non-oss | openSUSE-12.3-Update-Non-Oss | Sim | Sim

        Curtir

  5. Henrique disse:

    Fiz tudo como disse e consegui instalar o arquivo codecs-gnome.ymp corretamente. Obrigado!!!

    Mas só consigo abrir musicas pelo rhythmbox e videos pelo xine. O programa que vem padrão no opensuse para musica ainda pede esse MPEG-1 Layer 3 (Mp3), e o pelo vlc diz:

    Não foi encontrado um módulo decodificador adequado:
    O VLC provavelmente não tem suporte ao formato de vídeo ou de áudio “mpga”. Infelizmente não existe uma forma de corrigir isso.

    O que eu teria que instalar ? Tentei procurar algo parecido no Yast mas não achei.

    Curtir

  6. Você tentou essa lista?

    # zypper install libdvdcss2 libxine1-codecs ffmpeg lame gstreamer-0_10-ffmpeg gstreamer-0_10-plugins-bad gstreamer-0_10 plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon w32codes-all mplayer gmplayer gstreamer-0_10-plugins-good libxine1 libdvdplay0 libdvdread4 libdvdnav4 libmad0 sox libxvidcore4 xvidcore libavcodec52 libavdevice52 libvlccore4 libvlc5 pullin-flash-player flash-player gstreamer-0_10-fluendo-mp3 gstreamer-0_10-fluendo-mpegdemux gstreamer-0_10 fluendo-mpegmux gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good-extra libquicktime0 vlc

    Qualquer coisa retorne

    Abraços!

    Curtir

  7. Henrique disse:

    Instalei essa lista e ainda continua a mesma coisa.
    O jeito é usar o rhythmbox para musica e o xine para video mesmo. Apesar de ser muito estranho, pois nas versões anteriores esses programas funcionavam perfeitamente.

    Curtir

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s